BeanUtils (Groovy 5.1.0)

Package: org.codehaus.groovy.ast.tools

## [Java] Class BeanUtils

- org.codehaus.groovy.ast.tools.BeanUtils

-     public class BeanUtils
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `addPseudoProperties(ClassNode origType, ClassNode cNode, List<PropertyNode> result, Set<String> names, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters)`
    `` | `public static void` | `addPseudoProperties(ClassNode origType, ClassNode cNode, List<PropertyNode> result, Set<String> names, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters, boolean traverseSuperClasses)`
    `` | `public static List<PropertyNode>` | `getAllProperties(ClassNode type, boolean includeSuperProperties, boolean includeStatic, boolean includePseudoGetters)` Get all properties including JavaBean pseudo properties matching getter conventions.
    `` | `public static List<PropertyNode>` | `getAllProperties(ClassNode type, boolean includeSuperProperties, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters, boolean superFirst)` Get all properties including JavaBean pseudo properties matching JavaBean getter or setter conventions.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static void addPseudoProperties(ClassNode origType, ClassNode cNode, List<PropertyNode> result, Set<String> names, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters)

    - #### public static void addPseudoProperties(ClassNode origType, ClassNode cNode, List<PropertyNode> result, Set<String> names, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters, boolean traverseSuperClasses)

    - #### public static List<PropertyNode> getAllProperties(ClassNode type, boolean includeSuperProperties, boolean includeStatic, boolean includePseudoGetters)

      Get all properties including JavaBean pseudo properties matching getter conventions.

      Parameters:
        `type` - the ClassNode
        `includeSuperProperties` - whether to include super properties
        `includeStatic` - whether to include static properties
        `includePseudoGetters` - whether to include JavaBean pseudo (getXXX/isYYY) properties with no corresponding field
      Returns:
        the list of found property nodes

    - #### public static List<PropertyNode> getAllProperties(ClassNode type, boolean includeSuperProperties, boolean includeStatic, boolean includePseudoGetters, boolean includePseudoSetters, boolean superFirst)

      Get all properties including JavaBean pseudo properties matching JavaBean getter or setter conventions.

      Parameters:
        `type` - the ClassNode
        `includeSuperProperties` - whether to include super properties
        `includeStatic` - whether to include static properties
        `includePseudoGetters` - whether to include JavaBean pseudo (getXXX/isYYY) properties with no corresponding field
        `includePseudoSetters` - whether to include JavaBean pseudo (setXXX) properties with no corresponding field
        `superFirst` - are properties gathered first from parent classes
      Returns:
        the list of found property nodes